Skip to main content
Data Protection/Backup Management Interfaces
PUTBackup Management InterfacesSince 3.4.0SynchronousAuth Required

Update a Scheduler Job Group

Update a Scheduler Job Group

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    UUID of the scheduler job group. Uniquely identifies the resource

Body Fields

  • nameString

    Resource name

  • descriptionString

    Detailed description of the resource

  • stateString

    State

  • parametersMap

    Scheduler job group parameters

  • systemTagsList

    System tag list

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      Error code number. The globally unique identifier of the error, for example, SYS.1000 or HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. Default is null

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null

    • causeErrorCodeRequired

      Root error. The source error that caused the current error. This field is null if there is no source error

  • inventorySchedulerJobGroupInventoryRequired

    For details, see inventory

    • uuidStringRequired

      UUID of the scheduler job group. Uniquely identifies the resource

    • nameStringRequired

      Scheduler job group name

    • descriptionStringRequired

      Detailed description of the scheduler job group

    • stateStringRequired

      State of the scheduler job group

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

    • jobDataStringRequired

      Job parameters

    • triggersUuidListRequired

      Trigger UUID

Endpoint

PUT/zstack/v1/scheduler/jobgroups/{uuid}/actions

/zstack/v1/scheduler/jobgroups/{uuid}/actions

Operation ID

UpdateSchedulerJobGroup

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/scheduler/jobgroups/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"name":"<name>","description":"<description>","state":"<state>","parameters":{},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "e344fd75079735369cbffda253cc173c", "name": "Test", "description": "create volume snapshot job", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history